C3DRigidRegister Class Reference
Image Registration and Transformation

3D linear registration class More...

`#include <mia/3d/rigidregister.hh>`

## Public Member Functions

| C3DRigidRegister (P3DImageCost cost, PMinimizer minimizer, P3DTransformationFactory transform_creator, size_t mg_levels)
P3DTransformation | run (P3DImage src, P3DImage ref) const
| ~C3DRigidRegister ()

## Detailed Description

3D linear registration class

Class for registration without regularization - i.e. should only be used for affine, rigid and translation only registrations

Definition at line 40 of file 3d/rigidregister.hh.

## Constructor & Destructor Documentation

## C3DRigidRegister()

C3DRigidRegister::C3DRigidRegister | ( | P3DImageCost | cost,
|  | PMinimizer | minimizer,
|  | P3DTransformationFactory | transform_creator,
|  | size_t | mg_levels )

Constructor for the registration tool

Parameters

  cost | cost function model
  minimizer | GSL provided minimizer
  transform_creator | string describing which transformation is supported
  mg_levels | number of multi-resolution levels to be used

## ~C3DRigidRegister()

C3DRigidRegister::~C3DRigidRegister | ( |  | ) |

## Member Function Documentation

## run()

P3DTransformation C3DRigidRegister::run | ( | P3DImage | src,
|  | P3DImage | ref ) const

Run the registration of an image pair.

Parameters

  src | source (moving) image
  ref | reference (fixed) image

Returns
  the transformation registering src to ref that minimizes the constructor given cost function

The documentation for this class was generated from the following file:

- 3d/rigidregister.hh